Summary:	A text editor for the X Window System
Name:		nedit
Version:	5.7
Release:	%mkrel 1
License:	GPLv2+ with exception
URL:		http://sourceforge.net/projects/nedit/
Group:		Editors
Source0:	%{name}-%{version}-src.tar.gz
Patch0:		nedit-5.4-Makefile.patch
Patch1:		nedit-5.5-security.patch
#Patch3:		nedit-5.5-64bit-fixes.patch
Patch6: 	nedit-5.5-nc-manfix.patch
Patch7: 	nedit-5.5-visfix.patch
# Fix some string literal errors - AdamW 2008/12
BuildRequires:	byacc
BuildRequires:	libx11-devel
BuildRequires:	motif-devel
BuildRequires:	libxt-devel
BuildRequires:	perl
Requires:	x11-font-adobe-100dpi

%description
NEdit is a multi-purpose text editor for the X Window System, which
combines a standard, easy to use, graphical user interface with the
thorough functionality and stability required by users who edit text
eighthours a day.

It provides intensive support for development in a wide variety of
languages, text processors, and other tools, but at the same time can
be used productively by just about anyone who needs to edit text.

%prep
%setup -q
%patch0 -p1 -b .Makefile
%patch1 -p1 -b .security
#patch3 -p1 -b .64bit-fixes
%patch6 -p1 -b .nc-manfix
%patch7 -p1 -b .visfix

# make it lib64 aware
perl -pi -e "s,(/usr/X11R6)/lib\b,\1/%{_lib},g" makefiles/Makefile.linux

%build
echo | %make_build linux OPT="%{optflags} -DBUILD_UNTESTED_NEDIT %ldflags"
pushd doc
make doc man
popd

%install
(cd doc;
  mkdir -p %{buildroot}%{_mandir}/man1
  install -m 644 nedit.man %{buildroot}%{_mandir}/man1/%{name}.1
  install -m 644 nc.man %{buildroot}%{_mandir}/man1/nedit-nc.1
)
(cd source;
  mkdir -p %{buildroot}%{_bindir}
  install -m 755 nedit %{buildroot}%{_bindir}/nedit
  install -m 755 nc %{buildroot}%{_bindir}/nedit-nc
)

# Mageia menu entry

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=NEdit
Comment=A text editor for the X Window System
Exec=%{_bindir}/%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/plain;
Categories=Utility;TextEditor;
EOF

%files
%doc README ReleaseNotes doc/nedit.doc
%{_bindir}/%{name}
%{_bindir}/nedit-nc
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/nedit-nc.1*
%{_datadir}/applications/mageia-%{name}.desktop





%changelog
* Sat Mar 18 2017 shlomif <shlomif> 5.7-1.mga6
+ Revision: 1093531
- add BR
- New version 5.7

* Sat Jul 16 2016 shlomif <shlomif> 5.6-2.mga6
+ Revision: 1042255
- Bump rel
- Rename ncl to "nedit-nc" due to MGA#18955 (conflict with ncl).

* Sun May 15 2016 cjw <cjw> 5.6-1.mga6
+ Revision: 1015679
- version 5.6a
- drop patches included upstream
- use make_build rpm macro
- rediff remaining patches

* Wed Feb 03 2016 umeabot <umeabot> 5.5-16.mga6
+ Revision: 934024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.5-15.mga5
+ Revision: 745108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.5-14.mga5
+ Revision: 682825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.5-13.mga4
+ Revision: 522246
- Mageia 4 Mass Rebuild

* Sun Feb 17 2013 cjw <cjw> 5.5-12.mga3
+ Revision: 398801
- build against motif

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 21 2011 cjw <cjw> 5.5-10.mga1
+ Revision: 89560
- imported package nedit

